#include "sgl.h"

#define BS_LAUNCHED 0
#define BS_EXPL_D   1
#define BS_EXPL     2
#define BS_NOOP     3	

#define BS_EXPL_D_TO   3
#define BS_EXPL_TO     26

#define MAX_BOMB 20
#define BOMB_RADIUS 10
#define BOMB_MAX_PRESURE 150

typedef enum {bt_normal,bt_multi}BOMB_TYPE ;

typedef struct {
  FIXED src[XY];
  FIXED dest[XY];
  int col;
  int to;
  int i_to;
  int st;
  BOMB_TYPE bt;
  int hit;
} BOMB;


void bombs_init();
int bomb_fire(int to,FIXED src[XY],FIXED dest[XY],int col);
void init_traj_sin_table();
void bomb_display_traj(FIXED* src,FIXED* dest,int to,int i_to,int col);
void bomb_display_fragments(int posx,int posy,int to, int hit);
void bombs_display();
void bombs_step();
void bombs_check_players();
