#include "sgl.h"

typedef enum _SOUND_TYPE {vs_none=0, vs_b_eau,vs_b_fire,vs_b_tank,vs_b_terre,vs_m_tank,vs_m_tire,vs_s_tire,vs_last} SOUND_TYPE;

typedef struct {
  char* data;
  Uint32 size;
  PCM* info;
} SOUND_PCM;

typedef struct {
  SOUND_TYPE type;
  int prio;
  int age;
} SOUND_CHANNEL_STATE;


void sound_init();
void sound_init_sounds();
void sound_tell(SOUND_TYPE st, int prio);
void sound_tell_more(SOUND_TYPE st, int prio, Uint8 level, Sint8 pan, Uint16 pitch);
void sound_pcm_all_off();
void sound_channel_state_get();
void sound_pcm_display_name(SOUND_TYPE st,int x, int y);
void sound_channel_print(int x, int y);
void sound_pcm_gfx_display(SOUND_TYPE st,int x1, int y1, int x2, int y2);
void sound_step();
